Package Details: system76-firmware-daemon 1.0.5-1

Git Clone URL: https://aur.archlinux.org/system76-firmware-daemon.git (read-only)
Package Base: system76-firmware-daemon
Description: System76 Firmware Daemon provides a daemon for installing firmware updates.
Upstream URL: https://github.com/pop-os/system76-firmware
Licenses: GPL3
Conflicts: system76-driver<=17.10.32
Submitter: ebobby
Maintainer: electrickite
Last Packager: electrickite
Votes: 3
Popularity: 0.079149
First Submitted: 2018-07-05 23:46
Last Updated: 2019-05-12 14:14

Latest Comments

DrClutch commented on 2019-01-21 00:07

Not sure if this is something on my end of an issue here, but the firmware fails to build

Caused by: process didn't exit successfully: rustc --crate-name system76_firmware_daemon src/bin/daemon.rs --color always --crate-type bin --emit=dep-info,link -C opt-level=3 -C lto -C metadata=559a30bb38ab8be7 -C extra-filename=-559a30bb38ab8be7 --out-dir /home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps -L dependency=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps --extern buildchain=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps/libbuildchain-b69502ad797eb1df.rlib --extern dbus=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps/libdbus-3b90cb31863154d3.rlib --extern ecflash=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps/libecflash-8619c0d90e87f8d3.rlib --extern libc=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps/liblibc-66d03348b2f47e2d.rlib --extern plain=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps/libplain-de0e02a4b914c113.rlib --extern lzma=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps/liblzma-4ecf4f62f1f9f3fc.rlib --extern serde_json=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps/libserde_json-1395393f3e302500.rlib --extern sha2=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps/libsha2-113e6bcda7c1d267.rlib --extern system76_firmware=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps/libsystem76_firmware-4ba6ac599cf42f57.rlib --extern tar=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps/libtar-a704dbc4a6a3128f.rlib --extern tempdir=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps/libtempdir-42d635c6d9378fef.rlib --extern uuid=/home/user/Desktop/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/deps/libuuid-39fda5479ce1f9d0.rlib -L native=/usr/lib/openssl-1.0 -L native=/usr/lib -L native=/usr/lib -L native=/usr/lib (signal: 11, SIGSEGV: invalid memory reference) ==> ERROR: A failure occurred in build(). Aborting...

ebobby commented on 2018-09-27 02:16

Fixed.

ebobby commented on 2018-09-27 02:00

That is weird. This didn't fail before. Did arch update its base openssl version?

graybeard commented on 2018-09-21 19:25

That worked - Thank you

shalzz commented on 2018-09-21 17:23

Update the PKGBUILD build() hook from

cargo build --release

to

OPENSSL_LIB_DIR="/usr/lib/openssl-1.0" OPENSSL_INCLUDE_DIR="/usr/include/openssl-1.0" cargo build --release

to fix compilation.

graybeard commented on 2018-09-20 14:06

Tryed it install for first time. Getting this error:

Compiling idna v0.1.4

Compiling clap v2.26.0

error: failed to run custom build command for openssl v0.9.24

process didn't exit successfully: /home/jack/.cache/pacaur/system76-firmware-daemon/src/system76-firmware-1.0.2/target/release/build/openssl-1a61ce394dacd9ad/build-script-build (exit code: 101) --- stderr

thread 'main' panicked at 'Unable to detect OpenSSL version', /home/jack/.cargo/registry/src/github.com-1ecc6299db9ec823/openssl-0.9.24/build.rs:16:14

core/openssl 1.1.1-1 [installed]

core/openssl-1.0 1.0.2.p-1 [installed]

ebobby commented on 2018-08-02 16:17

What kind of issue did you have?

libsodium is not mentioned as a dependency in the source repository. It builds fine and I have gone through one firmware update cycle without any issue.

mheese commented on 2018-08-02 08:31

libsodium needs to be added as a dependency

ebobby commented on 2018-07-09 17:51

Really? It works here, can you elaborate more in what the problem seems to be?

Thanks.

JKAbrams commented on 2018-07-08 11:26

If you the following error, you need to start the firmware service:

systemctl enable system76-firmware-daemon

systemctl start system76-firmware-daemon


system76-firmware-pkexec --help

2018-07-08 13:18:46,422 ERROR Error calling _run_firmware_updater()

Traceback (most recent call last):

File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 175, in activate_name_owner return self.get_name_owner(bus_name)

File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 361, in get_name_owner 's', (bus_name,), **keywords)

File "/usr/lib/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking message, timeout)

dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'com.system76.FirmwareDaemon': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "/usr/lib/python3.6/site-packages/system76driver/firmware.py", line 439, in run_firmware_updater ret = _run_firmware_updater(reinstall, notification)

File "/usr/lib/python3.6/site-packages/system76driver/firmware.py", line 386, in _run_firmware_updater

proxy = bus.get_object('com.system76.FirmwareDaemon', '/com/system76/FirmwareDaemon')

File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 241, in get_object follow_name_owner_changes=follow_name_owner_changes)

File "/usr/lib/python3.6/site-packages/dbus/proxies.py", line 248, in init self._named_service = conn.activate_name_owner(bus_name)

File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 180, in activate_name_owner self.start_service_by_name(bus_name)

File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 278, in start_service_by_name 'su', (bus_name, flags)))

File "/usr/lib/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking message, timeout)

dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name com.system76.FirmwareDaemon was not provided by any .service files


Actually I think this is a packaging bug where the com.system76.FirmwareDaemon is supposed to be started but cannot be started as it has changed name.